# Obsahují dva seznamy tytéž prvky (až na pořadí)?
# Verze pro seznamy, které mají všechny prvky různé.
def porovnej(x, y):
    return set(x) == set(y)

# Pokud se prvky mohou opakovat, můžeme seznamy setřídit
# a pak je porovnat. To ovšem trvá řádově n*log n kroků.
def porovnej2(x, y):
    return sorted(x) == sorted(y)

# Nebo můžeme použít slovník, abychom spočítali četnosti
# prvků v obou seznamech. To trvá řádově n kroků.

def pocitej(x):
    cetnosti = defaultdict(int)
    for a in x:
        cetnosti[a] += 1
    return cetnosti

def porovnej3(x, y):
    return pocitej(x) == pocitej(y)

# Jsou všechny prvky seznamu navzájem různé?
def ruzne_prvky(x):
    return len(x) == len(set(x))
